﻿using Stimulsoft.Report;
using Stimulsoft.Report.Dictionary;
using System;

namespace Merkur.WPFReports
{
    public class ClaimListBusinessObject : StiBusinessObject
    {

        public ClaimListBusinessObject() :
            base("Common", "ClaimList", "ClaimList", "164f26f04fad42988450376537c5147a", null)
        {
        }

        public virtual DateTime Date
        {
            get
            {
                return ((DateTime)(StiReport.ChangeType(this["Date"], typeof(DateTime), true)));
            }
        }

        public virtual string PostingText
        {
            get
            {
                return ((string)(StiReport.ChangeType(this["PostingText"], typeof(string), true)));
            }
        }

        public virtual decimal? PaymentAmount
        {
            get
            {
                return ((decimal?)(StiReport.ChangeType(this["PaymentAmount"], typeof(decimal?), true)));
            }
        }

        public virtual decimal? ClaimAmount
        {
            get
            {
                return ((decimal?)(StiReport.ChangeType(this["ClaimAmount"], typeof(decimal?), true)));
            }
        }

        public virtual decimal? CostAmount
        {
            get
            {
                return ((decimal?)(StiReport.ChangeType(this["CostAmount"], typeof(decimal?), true)));
            }
        }

        public virtual decimal? RateAmount
        {
            get
            {
                return ((decimal?)(StiReport.ChangeType(this["RateAmount"], typeof(decimal?), true)));
            }
        }

        public virtual decimal? BalanceAmount
        {
            get
            {
                return ((decimal?)(StiReport.ChangeType(this["BalanceAmount"], typeof(decimal?), true)));
            }
        }
    }
}
